4

At the time of installing Sitecore 9 by using SIFLess-EZ Power-shell script, the below error is obtained.

"ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROVIDER ".

IN Dev m/c I have VS 2013, 2015 and 2017 insatlled with .NET v4.7 SQL Server:- 2016 and 2012.

I referred blog "https://naveed-ahmad.com/2017/11/03/sitecore-9-sif-installation-error-error_scriptdom_needed_for_sql_provider/" but still same issue.

enter image description here

[WebDeploy]:[Path] C:\Program Files\iis\Microsoft Web Deploy V3\msdeploy.exe msdeploy.exe : Error Code: ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROVIDER At C:\Program Files\WindowsPowerShell\Modules\SitecoreInstallFramework\1.2.1\Public\Tasks\Invoke-CommandTask.ps1:31 char:13 + & $Path $Arguments | Out-Default + ~~~~~~~~~~~~~~~~~~ + CategoryInfo : NotSpecified: (Error Code: ERR...OR_SQL_PROVIDER:String) [], RemoteException + FullyQualifiedErrorId : NativeCommandError msdeploy.exe : Error Code: ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROVIDER At C:\Program Files\WindowsPowerShell\Modules\SitecoreInstallFramework\1.2.1\Public\Tasks\Invoke-CommandTask.ps1:31 char:13 + & $Path $Arguments | Out-Default + ~~~~~~~~~~~~~~~~~~ + CategoryInfo : NotSpecified: (Error Code: ERR...OR_SQL_PROVIDER:String) [], RemoteException + FullyQualifiedErrorId : NativeCommandError

More Information: The SQL provider cannot run because of a missing dependency. Please make sure that Microsoft SQL Server Transact-SQL ScriptDom is installed. Learn more at: http://go.microsoft.com/fwlink/?LinkId=221672#ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROV More Information: The SQL provider cannot run because of a missing dependency. Please make sure that Microsoft SQL Server Transact-SQL ScriptDom is installed. Learn more at: http://go.microsoft.com/fwlink/?LinkId=221672#ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROV IDER. IDER.

Error count: 1. Error count: 1.

  • Have you tried installing prerequisites that the error message is pointing to: Resolution: Use Web Platform Installer to install: 1. Microsoft SQL Server 2012 Data-Tier Application Framework 2. SQL Server 2012 Transact-SQL ScriptDom 3. SQL Server System CLR Types 11.0 – grg Jun 22 '18 at 6:44
  • When I am installing "DACFramework.msi" getting error "Installation of microsoft sql server 2012 data-tier app framework failed because a higher version" – Shailesh Jun 22 '18 at 6:52
1

This would be because of the SQL provider cannot run because of a missing dependency. Please make sure that Microsoft SQL Server Transact-SQL ScriptDom is installed.

To resolve the issue:

  • Set the path to the Data-Tier application framework in Windows Registry:

    1. Locate the installation folder of the MS SQL server version that you are using: \%ProgramFiles(x86)%\Microsoft SQL Server\.
    2. Find the Microsoft.SqlServer.Dac.dll file in one of the subfolders: \DAC\bin or \SDK\Assemblies.
    3. Store the full path to this subfolder as a DacFxPath value (String type) under the registry key \HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\IIS Extensions\MSDeploy\3.
  • Set the path to the SQL ScriptDOM and CLRTypes components in Windows Registry:

    1. Locate the installation folder of the MS SQL server version that you are using: \%ProgramFiles(x86)%\Microsoft SQL Server\.
    2. Find the Microsoft.SqlServer.TransactSql.ScriptDom.dll and Microsoft.SqlServer.Types.dll files in one of the subfolders: \DAC\bin or \SDK\Assemblies.
    3. Store the full path to this subfolder as a DacFxDependenciesPath value (String type) under the registry key \HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\IIS Extensions\MSDeploy\3.
1

enter image description here

It works after running the CMD as below:

"%ProgramFiles(x86)%\Microsoft SDKs\Windows\v10.0A\bin\NETFX 4.6.1 Tools\gacutil" /i "C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Microsoft\SQLDB\DAC\140\Microsoft.SqlServer.TransactSql.ScriptDom.dll"

This registers the Microsoft.SqlServer.TransactSql.ScriptDom.dll in Global Assembly Cache (GAC)

0

Unfortunately, none of the above worked for me. Installing

Microsoft SQL Server Data-Tier Application Framework (DACFx) (June 2014)

through the "Web Platform Installer" did fix everything though (without having to make any changes to the Registry or GAC).

It should solve all of the following error messages:

ERROR_DACFX_NEEDED_FOR_SQL_PROVIDER
ERROR_SCRIPTDOM_NEEDED_FOR_SQL_PROVIDER
ERROR_SQLCLRTYPES_NEEDED_FOR_SQL_PROVIDER

Solution found here: https://docs.microsoft.com/en-us/iis/publish/troubleshooting-web-deploy/web-deploy-error-codes#ERROR_DACFX_NEEDED_FOR_SQL_PROVIDER (even though it lists an older version).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.